Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 342799 - net-print/mtink _FORTIFY_SOURCE indicates presence of overflow
Summary: net-print/mtink _FORTIFY_SOURCE indicates presence of overflow
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Printing Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2010-10-26 17:34 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2012-01-28 21:25 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (mtink-1.0.16:20101026-105211.log,4.41 KB, text/plain)
2010-10-26 17:35 UTC, Diego Elio Pettenò (RETIRED)
Details
mtinkd_buffer_overflow.patch (mtinkd_buffer_overflow.patch,422 bytes, patch)
2012-01-15 13:01 UTC, Sebastian Luther (few)
Details | Diff
mtinkd_buffer_overflow.patch (mtinkd_buffer_overflow.patch,422 bytes, patch)
2012-01-15 13:06 UTC, Sebastian Luther (few)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-10-26 17:34:43 UTC
You're receiving this bug because the package in Summary has produced _FORTIFY_SOURCE related warnings indicating the presence of a sure overflow in a static buffer.

Even though this is not always an indication of a security problem it might even be. So please check this out ASAP.

By the way, _FORTIFY_SOURCE is disabled when you disable optimisation, so don't try finding out the cause using -O0.

Thanks,
Your friendly neighborhood tinderboxer
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-10-26 17:35:00 UTC
Created attachment 252069 [details]
Build log
Comment 2 Andreas K. Hüttel gentoo-dev 2011-10-02 22:13:34 UTC
Upstream is dead since 2003. Nothing in the tree depends on it.

Treecleaning?
Comment 3 Andreas K. Hüttel gentoo-dev 2012-01-14 22:59:52 UTC
Masked for removal in 30 days.
Comment 4 Sebastian Luther (few) 2012-01-15 07:24:19 UTC
I haven't used mtink in quite some time, but last time I did it worked. Is there any replacement? Is there some real problem with that package except this warning?
Comment 5 Andreas K. Hüttel gentoo-dev 2012-01-15 12:03:18 UTC
(In reply to comment #4)
> I haven't used mtink in quite some time, but last time I did it worked. Is
> there any replacement? Is there some real problem with that package except this
> warning?

It still builds, otherwise I cannot test it (anyone still has a 9-year old Eposon printer?).

Feel free to start proxy-maintaining it (with my help), and start by providing a patch for the buffer overflow bug. Printing is badly understaffed; nobody looked at this bug for a while so cleaning out was a logical consequence.
Comment 6 Sebastian Luther (few) 2012-01-15 13:01:42 UTC
Created attachment 299003 [details, diff]
mtinkd_buffer_overflow.patch

> It still builds, otherwise I cannot test it (anyone still has a 9-year old
> Eposon printer?).

I have an DX3850 and it works (at least it managed to show the inc levels last time I tried). Not sure it it is that old.

> Feel free to start proxy-maintaining it (with my help), and start by providing
> a patch for the buffer overflow bug. Printing is badly understaffed; nobody
> looked at this bug for a while so cleaning out was a logical consequence.

Here's the patch. Feel free to CC me on bugs, but I'm not interested in anything beyond basic functionality.
Comment 7 Sebastian Luther (few) 2012-01-15 13:06:55 UTC
Created attachment 299005 [details, diff]
mtinkd_buffer_overflow.patch

Last version of the patch was hand edited, here's a proper version.
Comment 8 Sebastian Luther (few) 2012-01-15 13:12:18 UTC
And it seems that adding ${MAKEOPTS} to the make call in src_compile works.
Comment 9 Andreas K. Hüttel gentoo-dev 2012-01-28 21:25:11 UTC
Excellent. Thanks for the patch. Fixed.